.cp-10up {
    & .cp-10up-block {
        cursor: pointer;
    }

    & .cp-10up-block:hover {
        opacity: 0.6;
    }

    & .cp-10up-block img {
        width: 100%;
        height: auto;
    }

    & .cp-10up-annotation {
        position: relative;
        font-size: 4.4cqw;
        font-weight: 600;
        justify-content: center;
        align-items: center;

        display: flex;
        gap: 2cqw;
    }

    & .cp-10up-annotation img {
        width: 4%;
        height: auto;
        margin-top: 0.4%;
    }
}

/* オーバーレイ */
.cp-10up-popup.common-style-area {
    max-width: unset;
}

.cp-10up-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease;
    z-index: 9999;
}

.cp-10up-popup.show {
    opacity: 1;
    pointer-events: auto;
}

.cp-10up-popup .cp-10up-popup-head {
    font-size: 1cqw;
    font-weight: 700;
    text-align: center;
}

body:has(.cp-10up-popup.show) {
    overflow: hidden;
}

.cp-10up-popup {
    & .cp-10up-popup-inner {
        width: 30%;
        background: #fff;
        padding: 2cqw;
        border-radius: 2cqw;
        position: relative;
        max-height: 90%;
    }

    & .close-btn {
        position: absolute;
        top: -3%;
        right: -3.8%;
        font-size: 2cqw;
        color: #00000099;
        cursor: pointer;
        z-index: 10000;
        background: #fff;
        border-radius: 50%;
        width: 4cqw;
        height: 4cqw;
        text-align: center;
        border: solid 1px #00000099;
        display: flex;
        align-items: center;
        justify-content: center;
        padding-bottom: 0.2cqw;
    }

    & .cp-10up-popup-inner .cp-10up-popup-img {
        width: 100%;
        height: auto;
        margin: 1cqw 0;
    }

    & .cp-10up-popup-inner .cp-10up-popup-annotation-wrap {
        position: relative;
        height: 20cqh;
        timeline-scope: --modal-scroll;
    }

    & .cp-10up-popup-inner .cp-10up-popup-annotation-wrap::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 20%;
        background: linear-gradient(
            to bottom,
            rgba(255, 255, 255, 0),
            rgba(255, 255, 255, 1)
        );
        pointer-events: none;
        animation: fadeOutTimeline10Up linear both;
        animation-timeline: --modal-scroll;
    }

    & .cp-10up-popup-inner .cp-10up-popup-annotation {
        font-size: 1cqw;
        font-weight: 600;
        line-height: 1.4;
        height: 100%;
        overflow-y: scroll;
        box-sizing: border-box;
        scroll-timeline: --modal-scroll y;
    }
}

@media (max-width: 767px) {
    .cp-10up-popup {
        & .cp-10up-popup-inner {
            width: 90%;
            padding: 4cqw;
        }

        & .cp-10up-popup-head {
            font-size: 3cqw;
        }

        & .cp-10up-popup-inner .cp-10up-popup-annotation {
            font-size: 3cqw;
        }

        & .close-btn {
            width: 8cqw;
            height: 8cqw;
            font-size: 5cqw;
        }
    }
}

@keyframes fadeOutTimeline10Up {
    0% {
        opacity: 1;
    }
    90% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

& .cp-10up-popup-inner .cp-10up-popup-wa-block {
    width: 60%;
    margin: 2cqw auto 0;
}

& .cp-10up-popup-inner .cp-10up-popup-wa-block:hover {
    opacity: 0.6;
}
